package de.ivu.elect.presentation.stimmeingabe.form;

import de.ivu.elect.business.stimmeingabe.control.plausi.GruppeListenstimmenAnteilComparedToVorperiodeKleinerGleichSchwellwertCustomData;
import de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiKonfigurationPropertyContext;
import de.ivu.elect.jee.presentation.dynamicform.AbstractDoubleProperty;

public abstract class AbstractGruppeListenstimmenAnteilComparedToVorperiodeKleinerGleichSchwellwertCustomDataSchwellwertProperty extends AbstractDoubleProperty {

  private final GruppeListenstimmenAnteilComparedToVorperiodeKleinerGleichSchwellwertCustomData customData;

  private final Long schwellwertId;

  private final StimmeingabePlausiKonfigurationPropertyContext context;

  public AbstractGruppeListenstimmenAnteilComparedToVorperiodeKleinerGleichSchwellwertCustomDataSchwellwertProperty(GruppeListenstimmenAnteilComparedToVorperiodeKleinerGleichSchwellwertCustomData customData, Long schwellwertId, StimmeingabePlausiKonfigurationPropertyContext context) {
    this.customData = customData;
    this.schwellwertId = schwellwertId;
    this.context = context;
  }

  protected GruppeListenstimmenAnteilComparedToVorperiodeKleinerGleichSchwellwertCustomData getCustomData() {
    return customData;
  }

  protected Long getSchwellwertId() {
    return schwellwertId;
  }

  protected StimmeingabePlausiKonfigurationPropertyContext getContext() {
    return context;
  }

  @Override
  public boolean getDefaultRequired() {
    return false;
  }
}
